[csw-devel] SF.net SVN: gar:[15976] csw/mgar/pkg
dmichelsen at users.sourceforge.net
dmichelsen at users.sourceforge.net
Mon Oct 24 19:08:31 CEST 2011
Revision: 15976
http://gar.svn.sourceforge.net/gar/?rev=15976&view=rev
Author: dmichelsen
Date: 2011-10-24 17:08:30 +0000 (Mon, 24 Oct 2011)
Log Message:
-----------
fetchmail/trunk: Initial commit
Added Paths:
-----------
csw/mgar/pkg/fetchmail/
csw/mgar/pkg/fetchmail/Makefile
csw/mgar/pkg/fetchmail/branches/
csw/mgar/pkg/fetchmail/tags/
csw/mgar/pkg/fetchmail/trunk/
csw/mgar/pkg/fetchmail/trunk/Makefile
csw/mgar/pkg/fetchmail/trunk/checksums
csw/mgar/pkg/fetchmail/trunk/files/
csw/mgar/pkg/fetchmail/trunk/files/cswfetchmail
Added: csw/mgar/pkg/fetchmail/Makefile
===================================================================
--- csw/mgar/pkg/fetchmail/Makefile (rev 0)
+++ csw/mgar/pkg/fetchmail/Makefile 2011-10-24 17:08:30 UTC (rev 15976)
@@ -0,0 +1,2 @@
+%:
+ $(MAKE) -C trunk $*
Property changes on: csw/mgar/pkg/fetchmail/trunk
___________________________________________________________________
Added: svn:ignore
+ cookies
download
work
Added: svn:externals
+ gar https://gar.svn.sourceforge.net/svnroot/gar/csw/mgar/gar/v2
Added: csw/mgar/pkg/fetchmail/trunk/Makefile
===================================================================
--- csw/mgar/pkg/fetchmail/trunk/Makefile (rev 0)
+++ csw/mgar/pkg/fetchmail/trunk/Makefile 2011-10-24 17:08:30 UTC (rev 15976)
@@ -0,0 +1,60 @@
+# $Id$
+# TODO (release-critical prefixed with !, non release-critical with *)
+#
+NAME = fetchmail
+VERSION = 6.3.21
+GARTYPE = v2
+CATEGORIES = utils
+
+DESCRIPTION = Fetchmail mail retrieval and forwarding utility
+define BLURB
+endef
+
+MASTER_SITES = $(BERLIOS_MIRROR)
+DISTFILES = $(DISTNAME).tar.xz
+DISTFILES += cswfetchmail
+
+PACKAGES += CSWfetchmail
+SPKG_DESC_CSWfetchmail = Fetchmail mail retrieval and forwarding utility
+# PKGFILES is catchall
+RUNTIME_DEP_PKGS_CSWfetchmail += CSWlibintl8
+RUNTIME_DEP_PKGS_CSWfetchmail += CSWlibkrb5-3
+RUNTIME_DEP_PKGS_CSWfetchmail += CSWlibk5crypto3
+RUNTIME_DEP_PKGS_CSWfetchmail += CSWlibcom-err3
+RUNTIME_DEP_PKGS_CSWfetchmail += CSWosslrt
+
+PACKAGES += CSWfetchmailconf
+SPKG_DESC_CSWfetchmailconf = A GUI to configure and run fetchmail
+PKGFILES_CSWfetchmailconf += .*fetchmailconf.*
+# This is pure Python
+ARCHALL_CSWfetchmailconf = 1
+RUNTIME_DEP_PKGS_CSWfetchmailconf += CSWpython
+
+# checkpkg can't know about these
+RUNTIME_DEP_PKGS_CSWfetchmailconf += CSWfetchmail
+RUNTIME_DEP_PKGS_CSWfetchmailconf += CSWpython-tk
+CHECKPKG_OVERRIDES_CSWfetchmailconf += surplus-dependency|CSWfetchmail
+CHECKPKG_OVERRIDES_CSWfetchmailconf += surplus-dependency|CSWpython-tk
+
+# This is not a Python module, but an application
+CHECKPKG_OVERRIDES_CSWfetchmailconf += pkgname-does-not-start-with-CSWpy-
+CHECKPKG_OVERRIDES_CSWfetchmailconf += catalogname-does-not-start-with-py_
+
+INITSMF = /etc/opt/csw/init.d/cswfetchmail
+
+PYCOMPILE = 1
+
+CONFIGURE_ARGS += $(DIRPATHS)
+CONFIGURE_ARGS += --enable-RPA
+CONFIGURE_ARGS += --enable-NTLM
+CONFIGURE_ARGS += --enable-SDPS
+# CONFIGURE_ARGS += --enable-opie
+# CONFIGURE_ARGS += --with-socks5=$(prefix)
+CONFIGURE_ARGS += --with-kerberos5=$(prefix)
+CONFIGURE_ARGS += --with-ssl=$(prefix)
+
+include gar/category.mk
+
+post-install-modulated:
+ ginstall -d $(DESTDIR)/etc/opt/csw/init.d
+ ginstall -m 0755 $(WORKDIR)/cswfetchmail $(DESTDIR)/etc/opt/csw/init.d/cswfetchmail
Property changes on: csw/mgar/pkg/fetchmail/trunk/Makefile
___________________________________________________________________
Added: svn:keywords
+ Id
Added: csw/mgar/pkg/fetchmail/trunk/checksums
===================================================================
--- csw/mgar/pkg/fetchmail/trunk/checksums (rev 0)
+++ csw/mgar/pkg/fetchmail/trunk/checksums 2011-10-24 17:08:30 UTC (rev 15976)
@@ -0,0 +1 @@
+db75ef2058423599386add311bc954ce fetchmail-6.3.21.tar.xz
Added: csw/mgar/pkg/fetchmail/trunk/files/cswfetchmail
===================================================================
--- csw/mgar/pkg/fetchmail/trunk/files/cswfetchmail (rev 0)
+++ csw/mgar/pkg/fetchmail/trunk/files/cswfetchmail 2011-10-24 17:08:30 UTC (rev 15976)
@@ -0,0 +1,56 @@
+#!/bin/ksh
+
+#RC_KNUM 01 # Number used for kill script symlink, e.g. K20cswfoo
+#RC_SNUM 99 # Number used for start script symlink, e.g. S80cswfoo
+##RC_KLEV 0,1,2,S # Run levels that should have a kill script symlink
+##RC_SLEV 3 # Run levels that should have a start script symlink
+##FMRI network # FMRI path for service (S10+), the example would give
+
+
+
+findConf(){
+ # look for fetchmailrc file in this order:
+ # /etc/opt/csw/fetchmailrc
+ # /opt/csw/etc/fetchmailrc
+
+ if [ -f /etc/opt/csw/fetchmailrc ] ; then
+ FETCHMAILRC=/etc/opt/csw/fetchmailrc
+ else
+ if [ -f /opt/csw/etc/fetchmailrc ] ; then
+ FETCHMAILRC=/opt/csw/etc/fetchmailrc
+ fi
+ fi
+ if [ -z "${FETCHMAILRC}" ] ; then
+ exit 1
+ fi
+}
+
+
+case $1 in
+
+ # restart is same as start because start does a stop
+ start | restart)
+ findConf
+ # always stop before start, there is no reason to have two running
+ $0 stop
+ echo "Starting the fetchmail daemon using ${FETCHMAILRC}"
+ /opt/csw/bin/fetchmail -f ${FETCHMAILRC}
+ ;;
+
+
+ stop)
+ if pgrep -f /opt/csw/bin/fetchmail > /dev/null ; then
+ echo "Stopping the fetchmail daemon"
+ /opt/csw/bin/fetchmail --quit
+ sleep 1
+ fi
+ ;;
+
+ *)
+ echo "Usage: $0 { start | stop | restart }"
+ exit 1
+ ;;
+
+esac
+
+exit 0
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
More information about the devel
mailing list